Bug 1734385 - Node INTERNAL-IP is set to IPv6 address
Summary: Node INTERNAL-IP is set to IPv6 address
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.11.z
Assignee: Casey Callendrello
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On: 1696628
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-30 12:16 UTC by Robert Sandu
Modified: 2019-10-23 09:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-18 01:34:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin pull 23661 None closed Bug 1734385: [3.11] Don't use strategic merge patch on Node.Status.Addresses 2020-07-02 06:12:21 UTC
Red Hat Product Errata RHBA-2019:3139 None None None 2019-10-18 01:34:58 UTC

Description Robert Sandu 2019-07-30 12:16:42 UTC
Description of problem: node INTERNAL-IP is set to IPv6 address, while others are on IPv4. SDN pod fails to start with the following warning:

W0725 08:05:14.492609    2758 subnets.go:147] HostIP "<IPv6_ADDRESS>" for local subnet does not match with nodeIP "<IPv4_ADDRESS>", Waiting for master to update subnet for node "<NODE_FQDN>"

Version-Release number of selected component (if applicable): v3.11

Actual results: HostIP is IPv6 while the nodeIP is IPv4.

Expected results: both HostIP and nodeIP to be set to the same IP address.

Additional info:

- Cluster upgrade from 3.0 to 3.11: openshift_ip was used in 3.9 to overwrite the nodeIP address with the IPv4 one.
- All nodes have both IPv4 and IPv6 addresses set. Disabling IPv6 is not an option.

Comment 2 Dan Winship 2019-07-30 21:17:15 UTC
I suspect this probably is the same as bug 1696628; if you have both IPv4 and IPv6 addresses configured, then the OpenStack cloud provider code will return multiple InternalIP entries, in which case the kubelet code may mangle the list.

We had not intended to backport the fix for that bug to 3.11 because the bug can be worked around there by using the configmap solution.

Can you get the output of "oc get nodes -o yaml"? That might help confirm that this is the same bug, and not something OpenStack-specific.

Comment 11 errata-xmlrpc 2019-10-18 01:34:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3139


Note You need to log in before you can comment on or make changes to this bug.